aboutsummaryrefslogtreecommitdiff
path: root/your_shell.sh
diff options
context:
space:
mode:
authorcodecrafters-bot <hello@codecrafters.io>2024-05-30 01:39:13 +0000
committercodecrafters-bot <hello@codecrafters.io>2024-05-30 01:39:13 +0000
commit8248740a7fb47c20862c4d18223a8f4d49b26d0c (patch)
tree0dfa64f740d79092142e324adff4c584efbc6ca3 /your_shell.sh
downloadshell-go-8248740a7fb47c20862c4d18223a8f4d49b26d0c.tar.gz
shell-go-8248740a7fb47c20862c4d18223a8f4d49b26d0c.zip
init [skip ci]
Diffstat (limited to 'your_shell.sh')
-rwxr-xr-xyour_shell.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/your_shell.sh b/your_shell.sh
new file mode 100755
index 0000000..983f6fe
--- /dev/null
+++ b/your_shell.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# DON'T EDIT THIS!
+#
+# CodeCrafters uses this file to test your code. Don't make any changes here!
+#
+# DON'T EDIT THIS!
+set -e
+
+tmpFile=$(mktemp)
+
+( cd $(dirname "$0") &&
+ go build -o "$tmpFile" ./cmd/myshell )
+
+exec "$tmpFile" "$@"